package ezollama

import (
	"context"
	"github.com/ollama/ollama/api"
)

func GenerateSync(ctx context.Context, client api.Client, req *api.GenerateRequest) (api.GenerateResponse, error) {
	var lastResp api.GenerateResponse
	err := client.Generate(ctx, req, func(resp api.GenerateResponse) error {
		if resp.Done {
			lastResp = resp
		}
		return nil
	})
	return lastResp, err
}
